iconv Functions
iconv_mime_decode_headers
iconv Functions
PHP Manual

# iconv_get_encoding

Retrieve internal configuration variables of iconv extension

### Description

mixed iconv_get_encoding ([ string `$type` = "all" ] )

Retrieve internal configuration variables of iconv extension.

### Parameters

`type`

  The value of the optional `type` can be:

  - all
  - input_encoding
  - output_encoding
  - internal_encoding

### Return Values

Returns the current value of the internal configuration variable if successful or `FALSE` on failure.

If `type` is omitted or set to "all", iconv_get_encoding returns an array that stores all these variables.

### Examples

Example #1 iconv_get_encoding example

`<pre>
<?php
iconv_set_encoding("internal_encoding", "UTF-8");
iconv_set_encoding("output_encoding", "ISO-8859-1");
var_dump(iconv_get_encoding('all'));
?>
</pre>`

The above example will output:

    Array
    (
        [input_encoding] => ISO-8859-1
        [output_encoding] => ISO-8859-1
        [internal_encoding] => UTF-8
    )

### See Also

- iconv_set_encoding
- ob_iconv_handler